com.mockobjects.dynamic

## Interface CallFactory

- All Known Implementing Classes:
    DefaultCallFactory

      public interface CallFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Callable` | `createCallExpectation(Callable call)`
    `Callable` | `createCallSignature(java.lang.String methodName, ConstraintMatcher constraints, Callable call)`
    `Callable` | `createReturnStub(java.lang.Object result)`
    `Callable` | `createThrowStub(java.lang.Throwable throwable)`
    `Callable` | `createVoidStub()`

- - ### Method Detail

    - #### createReturnStub

          Callable createReturnStub(java.lang.Object result)

    - #### createThrowStub

          Callable createThrowStub(java.lang.Throwable throwable)

    - #### createVoidStub

          Callable createVoidStub()

    - #### createCallExpectation

          Callable createCallExpectation(Callable call)

    - #### createCallSignature

          Callable createCallSignature(java.lang.String methodName,
                                       ConstraintMatcher constraints,
                                       Callable call)

Copyright © 2002 Mock Objects. All Rights Reserved.